gourmand (1.1.0+really1.0.0-2) unstable; urgency=medium

  * Add upstream patch to fix a bug with sqlalchemy 1.41 (Closes: #1022131)

 -- Christian Marillat <marillat@debian.org>  Thu, 20 Oct 2022 22:53:33 +0200

gourmand (1.1.0+really1.0.0-1) unstable; urgency=medium

  * Back to version 1.0.0 as 1.1.0 depends on mandatory recipe-scrapers
    python, not yet in Debian.

 -- Christian Marillat <marillat@debian.org>  Thu, 20 Oct 2022 09:19:16 +0200

gourmand (1.1.0+rc3-2) unstable; urgency=medium

  * Fix FTBFS with python.

 -- Christian Marillat <marillat@debian.org>  Mon, 10 Oct 2022 11:07:06 +0200

gourmand (1.1.0+rc3-1) unstable; urgency=medium

  * New upstream release.
  * Remove 01_remove-table.count and 02_Fix-bug-1009098 patches applied
    upstream.
  * Add a transition gourmet package.

 -- Christian Marillat <marillat@debian.org>  Mon, 03 Oct 2022 10:59:05 +0200

gourmand (1.0.0-9) unstable; urgency=medium

  * debian/rules Add -indep target.

 -- Christian Marillat <marillat@debian.org>  Wed, 27 Apr 2022 16:33:25 +0200

gourmand (1.0.0-8) unstable; urgency=medium

  * Add upstream patch to fix a crash when a yield values is None
    (Closes: #1009098)

 -- Christian Marillat <marillat@debian.org>  Wed, 27 Apr 2022 09:17:31 +0200

gourmand (1.0.0-7) unstable; urgency=medium

  * Move icon to /usr/share/icons/hicolor/48x48/apps
  * debian/control replaces python3-gi by python3-gi-cairo in Depends and add
    gir1.2-poppler-0.18 to Recommends (Closes: #1008824).

 -- Christian Marillat <marillat@debian.org>  Sun, 03 Apr 2022 14:08:51 +0200

gourmand (1.0.0-6) unstable; urgency=medium

  * Fix icon installation.

 -- Christian Marillat <marillat@debian.org>  Sat, 11 Dec 2021 15:29:52 +0100

gourmand (1.0.0-5) unstable; urgency=medium

  * Install desktop and icon files.

 -- Christian Marillat <marillat@debian.org>  Sat, 11 Dec 2021 15:27:06 +0100

gourmand (1.0.0-4) unstable; urgency=medium

  * debian/watch Update to new github.
  * debian/control fix typo kpython3-gtkspellcheck --> python3-gtkspellcheck
    (Closes: #1001183)
  * Fix in debian patch the removal of FromClause.count() (Closes: #998161)

 -- Christian Marillat <marillat@debian.org>  Thu, 09 Dec 2021 14:41:58 +0100

gourmand (1.0.0-3) unstable; urgency=medium

  * Uplaod with the new name 'gourmand' (Closes: #998163)
  * This version has been fixed for python3-sqlalchemy 1.4.23
    (Closes: #998161)
  * I'll add a transitional gourmet package when gourmand will enter
    unstable.

 -- Christian Marillat <marillat@debian.org>  Sun, 31 Oct 2021 10:07:43 +0100

gourmet (1.0.1-2) unstable; urgency=medium

  * Should Depends on python3-gst-1.0 (Closes: #994679)

 -- Christian Marillat <marillat@debian.org>  Sun, 19 Sep 2021 13:06:09 +0200

gourmet (1.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Mon, 19 Jul 2021 17:51:33 +0200

gourmet (0.17.5~alpha2-7) unstable; urgency=medium

  * Install desktop and pixmaps files (Closes: #973945)

 -- Christian Marillat <marillat@debian.org>  Sun, 17 Jan 2021 09:40:25 +0100

gourmet (0.17.5~alpha2-6) unstable; urgency=medium

  * Move python3-argcomplete from Recommends to Depends and add
    python3-requests and python3-toml to Depends (Closes: #973006)

 -- Christian Marillat <marillat@debian.org>  Sun, 01 Nov 2020 16:02:13 +0100

gourmet (0.17.5~alpha2-5) unstable; urgency=medium

  * Add python3-argcomplete to Depends (Closes: #973006)

 -- Christian Marillat <marillat@debian.org>  Tue, 27 Oct 2020 11:08:52 +0100

gourmet (0.17.5~alpha2-4) unstable; urgency=medium

  * Remove not yet packaged (and not ready for python 3.8)
    python3-scrape-schema-recipe from Recommends
  * Add python3-ebooklib to Suggests
  * Upload to unstable.

 -- Christian Marillat <marillat@debian.org>  Sun, 25 Oct 2020 09:54:30 +0100

gourmet (0.17.5~alpha2-3) experimental; urgency=medium

  * Call 'python3 setup.py build_i18n' before dh_auto_build. Now plugins are
    loaded correctly.

 -- Christian Marillat <marillat@debian.org>  Wed, 21 Oct 2020 00:41:02 +0200

gourmet (0.17.5~alpha2-2) experimental; urgency=medium

  * Don't call dh with '--with quilt'

 -- Christian Marillat <marillat@debian.org>  Tue, 20 Oct 2020 16:59:16 +0200

gourmet (0.17.5~alpha2-1) experimental; urgency=medium

  * New upstream release.
  * This release fix a warning when the package is installed (Closes:
    #972476)
  * Note : plugins are not loaded. Bug already reported upstream (github
    bug #264).

 -- Christian Marillat <marillat@debian.org>  Tue, 20 Oct 2020 11:13:24 +0200

gourmet (0.17.4+20200608.git917082d7-1) experimental; urgency=medium

  * Git snapshot from the python3 fork repository.

 -- Christian Marillat <marillat@debian.org>  Mon, 08 Jun 2020 09:37:57 +0200

gourmet (0.17.4-7) unstable; urgency=medium

  * Add python-bs4 to Recommends: and replace (with a patch to import
    gtkspellcheck instead of gtkspell) python-gtkspell by
    python-gtkspellcheck (Closes: #934656)

 -- Christian Marillat <marillat@debian.org>  Sun, 18 Aug 2019 15:23:41 +0200

gourmet (0.17.4-6) unstable; urgency=medium

  * Remove python-beautifulsoup from Recommends (Closes: #891100)

 -- Christian Marillat <marillat@debian.org>  Sun, 25 Feb 2018 18:23:03 +0100

gourmet (0.17.4-5) unstable; urgency=medium

  * Remove python-poppler dependency and remove print_plugin.py plugin.

 -- Christian Marillat <marillat@debian.org>  Fri, 05 Jan 2018 16:34:39 +0100

gourmet (0.17.4-4) unstable; urgency=medium

  * Remove python-imaging dependency (Closes: #866427)

 -- Christian Marillat <marillat@debian.org>  Sun, 02 Jul 2017 10:08:59 +0200

gourmet (0.17.4-3) unstable; urgency=medium

  * Add python-lxml in Recommends needed by My Cookbook plugin.
  * Replaces tostring by tobytes in ratingWidget.py python-pil >= 3 is
    required.

 -- Christian Marillat <marillat@debian.org>  Wed, 09 Dec 2015 12:04:24 +0100

gourmet (0.17.4-2) unstable; urgency=medium

  * Update to gstreamer 1.0 in patch 02_gstreamer-1.0 (Closes: #785814)

 -- Christian Marillat <marillat@debian.org>  Wed, 10 Jun 2015 08:29:38 +0200

gourmet (0.17.4-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 08 Jun 2014 19:13:29 +0200

gourmet (0.17.3-1) unstable; urgency=medium

  * New upstream release.
  * From upstream : Replace compressed jQuery v1.4.2 by uncompressed v1.11.0
    (Closes: #744707)

 -- Christian Marillat <marillat@debian.org>  Sun, 04 May 2014 19:23:27 +0200

gourmet (0.17.2-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Thu, 27 Mar 2014 08:40:47 +0100

gourmet (0.17.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sun, 09 Mar 2014 10:49:31 +0100

gourmet (0.16.1-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright and remove uneeded dependencies (Closes: #718413)
  * Removed 01_lc-all-c patch included upstream.
  * Rename 02_license-location patch to 01_license-location.
  * Don't compress the package with xz. This is now the default in dpkg-deb.

 -- Christian Marillat <marillat@debian.org>  Thu, 12 Sep 2013 11:35:02 +0200

gourmet (0.16.0-5) unstable; urgency=low

  * Add python-gst0.10 in Suggests.
  * Add python-beautifulsoup in Recommends (Closes: #530403).
  * New patch 01_lc-all-c.diff to fix crash with locale (Closes: #614367).

 -- Christian Marillat <marillat@debian.org>  Thu, 13 Jun 2013 15:11:40 +0200

gourmet (0.16.0-4) unstable; urgency=low

  * Remove old patch 01_fix_raise_str.diff and remove python-gnome2 from
    Recommends (Closes: #709299).

 -- Christian Marillat <marillat@debian.org>  Sun, 26 May 2013 10:06:49 +0200

gourmet (0.16.0-3) unstable; urgency=low

  * Upload to unstable.

 -- Christian Marillat <marillat@debian.org>  Sun, 05 May 2013 15:09:57 +0200

gourmet (0.16.0-2) experimental; urgency=low

  * Should depends on python-elib.intl (Closes: #704896)

 -- Christian Marillat <marillat@debian.org>  Sun, 07 Apr 2013 16:31:51 +0200

gourmet (0.16.0-1) experimental; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Thu, 07 Mar 2013 09:06:33 +0100

gourmet (0.15.9-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Thu, 24 Mar 2011 08:43:54 +0100

gourmet (0.15.8-1) unstable; urgency=low

  * New upstream release.
  * debian/rules Replaces python-central bu python2 (Closes: #616834).
  * This release fix an execption when opening the database (Closes: #597263).

 -- Christian Marillat <marillat@debian.org>  Wed, 09 Mar 2011 08:56:36 +0100

gourmet (0.15.7-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 18 Dec 2010 18:54:09 +0100

gourmet (0.15.6-1) unstable; urgency=low

  * New upstream release.
  * Removed 02_sqlalchemy-bug patch included upstream.

 -- Christian Marillat <marillat@debian.org>  Fri, 23 Jul 2010 14:55:58 +0200

gourmet (0.15.5-2) unstable; urgency=low

  * Patch from upstream git to fix a sqlalchemy bug (Ctrl+Q doesn't work).

 -- Christian Marillat <marillat@debian.org>  Fri, 16 Jul 2010 11:14:08 +0200

gourmet (0.15.5-1) unstable; urgency=low

  * New upstream release.
  * Removed 02_sqlalchemy patch included upstream.
  * Bump Standards-Version to 3.9.0 (no changes).

 -- Christian Marillat <marillat@debian.org>  Sun, 11 Jul 2010 09:03:29 +0200

gourmet (0.15.4-4) unstable; urgency=low

  * New patch (02_sqlalchemy) from upstream git to fix sqlalchemy 0.6 bugs
    (Closes: #585009 #585093).
  * Added python-gtkspell in recommends. Thsi package is needed if the
    spellcheck plugin is enabled. (Closes: #586881).
  * Seems to works with python-pysqlite2 and thus remove the conflicts for
    this package (Closes: #586880).

 -- Christian Marillat <marillat@debian.org>  Wed, 23 Jun 2010 16:02:36 +0200

gourmet (0.15.4-3) unstable; urgency=low

  * Don't set a python version in debian/pyversions (Closes: 584834).
  * Don't raise str exception in src/lib/plugin_gui.py (Closes: 584833)
    thanks to Steve Langasek for the patch.

 -- Christian Marillat <marillat@debian.org>  Mon, 07 Jun 2010 17:31:01 +0200

gourmet (0.15.4-2) unstable; urgency=low

  * Added python-poppler as dependency needed for printing (Closes: #548612)

 -- Christian Marillat <marillat@debian.org>  Fri, 16 Apr 2010 19:25:25 +0200

gourmet (0.15.4-1) unstable; urgency=low

  * New maintainer (Closes: #572734)
  * New upstream release [Closes: #530841)

 -- Christian Marillat <marillat@debian.org>  Sun, 07 Mar 2010 10:03:58 +0100

gourmet (0.14.5-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * When built with Python 2.6 as default, do not install
    into /usr/local/* (Closes: #571475)

 -- Jonathan Wiltshire <debian@jwiltshire.org.uk>  Tue, 02 Mar 2010 22:41:25 +0000

gourmet (0.14.5-2) unstable; urgency=low

  * reintroduce conflict for python-pysqlite. (Closes: #516803)
    python prior to 2.5 is thus unsupported.
  * drop suggests for obsolete packages

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 24 Feb 2009 21:23:47 +0900

gourmet (0.14.5-1) unstable; urgency=low

  * new upstream release
  * 0.14.5 no longer conflicts with newer versions of python-pysqlite and
    python-sqlalchemy.  Relax dependencies accordingly.
  * all patches have been pushed upstream, so they can be dropped in Debian.
    The manpage was forgotten when preparing the tarball upstream, so it
    will stick around for another release.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 10 Feb 2009 17:34:51 +0100

gourmet (0.14.3-2) unstable; urgency=low

  * Conflict with python-pysqlite >= 2.5 which when installed crashes 
    gourmet at startup. (Closes: #507382) and python-sqlalchemy >= 0.5.
    Both restrictions should eventually be relaxed when upstream has
    made the code compatible with the newer libs.

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 12 Jan 2009 23:03:28 +0100

gourmet (0.14.3-1) unstable; urgency=low

  * new upstream release

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 05 Jan 2009 19:29:20 +0100

gourmet (0.14.2-1) unstable; urgency=low

  * new upstream release
  * add manpage, courtesy of François Wendling.  (Closes: #495796).
  * add 06-change-sys-path-append.patch
    sys.path.append('/usr/share') can be dangerous

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 24 Nov 2008 10:38:57 +0100

gourmet (0.14.0-1) unstable; urgency=low

  * initial release on debian.  Closes #427474.
  * 01-disable_gtk_check.patch enables headless builds
  * 02-fix_gnome_menu.patch makes sure gourmet places itself correctly
    in the menu
  * the upstream tarball apparently misses some files unintentionally
    They have been fetched from upstream cvs and sf.net ticket 2022831
    has been opened about this.  The missing files are in
    03_missing_data_dir.patch
  * 04-fix-python_version_dependency.patch makes sure that the very old
    python2.3 does not end up in Depends

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 26 Jul 2008 13:29:41 +0200
